<footer class="footer text-center">
    <div class="container-custom">
        <div class="footer-ul">
            <a data-intgrtn-link-agreements="1" href="" class="">Website Agreement</a>
            <a data-intgrtn-link-agreements="2" href="" class="">Risk Disclaimer</a>
            <a data-intgrtn-link-agreements="3" href="" class="">Privacy Policy</a>
            <a data-intgrtn-link-report-abuse="" href="" class="">Report Abuse</a>
            <a data-intgrtn-link-contact-us="" href="" class="">Contact Us</a>
        </div>
        <div data-intgrtn-agreements="4" data-intgrtn-type="4" style="font-size: 12px; padding-top: 20px"></div>
    </div>
</footer>

<script>
	$('.scroll-to-form').on("click", function (e) {
		e.preventDefault();
		$('html, body').animate({
			scrollTop: $(".signin").offset().top - 100
		}, 1000);
	});
</script>

<script>
	function slideToggle(target, duration = 250) {
		if (window.getComputedStyle(target).display === "none") {
			return slideDown(target, duration);
		} else {
			return slideUp(target, duration);
		}
	};

	function slideUp(target, duration = 150) {
		target.style.transitionProperty = "height, margin, padding";
		target.style.transitionDuration = duration + "ms";
		target.style.boxSizing = "border-box";
		target.style.height = target.offsetHeight + "px";
		target.offsetHeight;
		target.style.overflow = "hidden";
		target.style.height = 0;
		target.style.paddingTop = 0;
		target.style.paddingBottom = 0;
		target.style.marginTop = 0;
		target.style.marginBottom = 0;
		window.setTimeout(function () {
			target.style.display = "none";
			target.style.removeProperty("height");
			target.style.removeProperty("padding-top");
			target.style.removeProperty("padding-bottom");
			target.style.removeProperty("margin-top");
			target.style.removeProperty("margin-bottom");
			target.style.removeProperty("overflow");
			target.style.removeProperty("transition-duration");
			target.style.removeProperty("transition-property");
		}, duration);
	};

	function slideDown(target, duration = 250) {
		target.style.removeProperty("display");
		let display = window.getComputedStyle(target).display;

		if (display === "none") display = "block";

		target.style.display = display;
		let height = target.offsetHeight;
		target.style.overflow = "hidden";
		target.style.height = 0;
		target.style.paddingTop = 0;
		target.style.paddingBottom = 0;
		target.style.marginTop = 0;
		target.style.marginBottom = 0;
		target.offsetHeight;
		target.style.boxSizing = "border-box";
		target.style.transitionProperty = "height, margin, padding";
		target.style.transitionDuration = duration + "ms";
		target.style.height = height + "px";
		target.style.removeProperty("padding-top");
		target.style.removeProperty("padding-bottom");
		target.style.removeProperty("margin-top");
		target.style.removeProperty("margin-bottom");
		window.setTimeout(function () {
			target.style.removeProperty("height");
			target.style.removeProperty("overflow");
			target.style.removeProperty("transition-duration");
			target.style.removeProperty("transition-property");
		}, duration);
	}
</script>

<script>
	function investmentCalculator() {
		return {
			selectedCoin: 'BTC',
			currencySymbol: '$',
			currencySymbolPlacement: 'before',
			options: [
				{name: 'BTC', priceOld: '29,000', priceNew: '49,000', profit: 69}, {name: 'ETH', priceOld: '730', priceNew: '4,000', profit: 448}, {name: 'BNB', priceOld: '34.26', priceNew: '535', profit: 1462}, {name: 'ADA', priceOld: '0.18', priceNew: '1.35', profit: 650}, {name: 'DOT', priceOld: '8.3', priceNew: '26.7', profit: 222}, {name: 'SOL', priceOld: '1.84', priceNew: '185.2', profit: 9965}, {name: 'ALGO', priceOld: '0.4', priceNew: '1.4', profit: 250}, {name: 'LUNA', priceOld: '0.65', priceNew: '97.17', profit: 14849}, {name: 'AVAX', priceOld: '3.66', priceNew: '122.65', profit: 3251}, {name: 'MATIC', priceOld: '0.02', priceNew: '2.58', profit: 12800}],
			updateWidget() {
				coinData = this.options.find(coin => {
					return coin.name == this.selectedCoin;
				});
				this.$refs.priceOld.innerText = this.currencySymbolPlacement === 'before' ? this.currencySymbol + coinData.priceOld : coinData.priceOld + this.currencySymbol;
				this.$refs.priceNew.innerText = this.currencySymbolPlacement === 'before' ? this.currencySymbol + coinData.priceNew : coinData.priceNew + this.currencySymbol;
				this.$refs.profit.innerText = '+' + coinData.profit + '%';
				capital = Number(this.$refs.sum.value) * (coinData.profit / 100 + 1);
				this.$refs.capital.innerText = this.currencySymbolPlacement === 'before' ? this.currencySymbol + capital.toLocaleString() : capital.toLocaleString() + this.currencySymbol;
			}
		}
	}
</script>

<script>
	window.intgrtnInit = function () {
		let funnelName;
		var path = "/";
		if (window.location.pathname.split("/")[1]) {
			path = "/" + window.location.pathname.split("/")[1] + "/";
		}
		window.intgrtn.setOptions({
			cookies: {
				path: path
			},
			forms: {
				signup: {
					buttons: {
						generatePassword: {
							show: true
						}
					},
					fields: {
						labels: {
							show: true,
						},
					},
				}
			}
		});

		window.intgrtn.events.on("get.project.details.success", function (response) {
			$('.js-project-logo').attr({
				'src': response.data.project.softwareDashboardPageLogoPath,
				'alt': response.data.project.name,
			});

			$('.js-project-name').append(response.data.project.name)
		});
	};


	(function (d) {
		if (window.intgrtn) {
			return;
		}
		var s = d.createElement("script");
		var date = new Date();
		s.async = true;
		s.src = "<?php echo $trackingUrl ?>/api/v2/integration/app.js?v=1" + date.getFullYear().toString() + date.getMonth().toString() + date.getDate().toString() + date.getHours().toString() + Math.round(date.getMinutes() / 10).toString();
		d.getElementsByTagName("head")[0].appendChild(s);
	}(document));
</script>


